package com.magistr.app.repository;

import com.magistr.app.model.Equipment;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.List;

public interface EquipmentRepository extends JpaRepository<Equipment, Long> {
    Optional<Equipment> findByName(String name);

    List<Equipment> findByStatusNot(String status);
}
